MySQL++ Reference Manual

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::value_list_ba< Seq, Manip > Struct Template Reference

Holds a list of items, typically used to construct a SQL "value list". More...

`#include <vallist.h>`

Collaboration diagram for mysqlpp::value_list_ba< Seq, Manip >:

[legend]
List of all members.

## Public Member Functions
| value_list_ba (const Seq &s, const char *d, Manip m)
| Create object.
## Public Attributes
const Seq * | list
| set of objects in the value list
const char * | delim
| delimiter to use between each value in the list when inserting it into a C++ stream
Manip | manip
| manipulator to use when inserting the list into a C++ stream

## Detailed Description

### template<class Seq, class Manip>
struct mysqlpp::value_list_ba< Seq, Manip >

Holds a list of items, typically used to construct a SQL "value list".

The SQL INSERT statement has a VALUES clause; this class can be used to construct the list of items for that clause.

Imagine an object of this type contains the list (a, b, c), and that the object's delimiter symbol is set to ", ". When you insert that object into a C++ stream, you would get "a, b, c".

This class is never instantiated by hand. The value_list() functions build instances of this structure template to do their work. MySQL++'s SSQLS mechanism calls those functions when building SQL queries; you can call them yourself to do similar work. The "Harnessing SSQLS Internals" section of the user manual has some examples of this.

See also:
  value_list_b

## Constructor & Destructor Documentation

template<class Seq, class Manip>

mysqlpp::value_list_ba< Seq, Manip >::value_list_ba | ( | const Seq & | s,
|  | const char * | d,
|  | Manip | m |
| ) |  |  | `[inline]`

Create object.

Parameters:

  | s | set of objects in the value list
  | d | what delimiter to use between each value in the list when inserting the list into a C++ stream
  | m | manipulator to use when inserting the list into a C++ stream

The documentation for this struct was generated from the following file:

- vallist.h